=== debian/watch ===
version=4
https://download.gnome.org/sources/gtk+/([\d\.]+[02468])/ \
	gtk\+@ANY_VERSION@\.tar\.xz
