=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9.20141010),
                cdbs (>= 0.4.93),
                gnome-pkg-tools (>= 0.11),
@@ -12,50 +12,48 @@
                dh-autoreconf,
                docbook-xml,
                docbook-xsl,
-               gettext,
                pkg-config,
                autotools-dev,
-               dbus-x11 <!nocheck>,
+               dbus <!nocheck>,
                gsettings-desktop-schemas <!nocheck>,
                adwaita-icon-theme-full <!nocheck>,
                at-spi2-core <!nocheck>,
-               libglib2.0-dev (>= 2.45.8),
+               libglib2.0-dev (>= 2.49.4),
                libgdk-pixbuf2.0-dev (>= 2.30.0),
                libpango1.0-dev (>= 1.37.3),
                libatk1.0-dev (>= 2.15.1),
                libatk-bridge2.0-dev,
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
+               libfontconfig1-dev,
                libharfbuzz-dev (>= 0.9),
                libwayland-dev (>= 1.9.91) [linux-any],
-               wayland-protocols (>= 1.1) [linux-any],
+               wayland-protocols (>= 1.7) [linux-any],
                libxkbcommon-dev (>= 0.2.0),
-               libx11-dev (>= 2:1.3.3-2),
-               libxext-dev (>= 2:1.1.1-3),
-               libxi-dev (>= 2:1.3-4),
+               libx11-dev,
+               libxext-dev,
+               libxi-dev,
                libxml2-utils,
-               libxrandr-dev (>= 2:1.2.99),
-               libxt-dev,
-               libxrender-dev (>= 1:0.9.5-2),
-               libxft-dev,
-               libxcursor-dev (>= 1:1.1.10-2),
-               libxcomposite-dev (>= 1:0.2.0-3),
-               libxdamage-dev (>= 1:1.0.1-3),
+               libxrandr-dev (>= 2:1.5.0),
+               libxcursor-dev,
+               libxcomposite-dev,
+               libxdamage-dev,
                libxkbfile-dev,
-               libxinerama-dev (>= 2:1.1-3),
-               libxfixes-dev (>= 1:3.0.0-3),
+               libxinerama-dev,
+               libxfixes-dev,
                libcairo2-dev (>= 1.14.0),
-               x11proto-xext-dev,
                libcups2-dev (>= 1.2),
                libcolord-dev (>= 0.1.9),
                librest-dev,
                libjson-glib-dev,
                gobject-introspection (>= 1.41.3),
                libgirepository1.0-dev (>= 1.39.0),
+               xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>,
                libmirclient-dev (>= 0.13.3),
-               libmircookie-dev (>= 0.17.0)
+               libmircookie-dev (>= 0.17.0),
+               libcontent-hub-glib-dev,
 Build-Depends-Indep: libglib2.0-doc,
                      libatk1.0-doc,
                      libpango1.0-doc,
@@ -151,30 +149,31 @@
          libgtk-3-common,
          ${misc:Depends},
          ${shlibs:Depends},
-         libglib2.0-dev (>= 2.43.4),
+         libglib2.0-dev (>= 2.49.4),
          libgdk-pixbuf2.0-dev (>= 2.30.0),
+         libmirclient-dev (>= 0.13.3),
+         libmircookie-dev (>= 0.17.0),
+         libcontent-hub-glib-dev,
          libpango1.0-dev (>= 1.37.3),
          libatk1.0-dev (>= 2.15.1),
          libatk-bridge2.0-dev,
          libcairo2-dev (>= 1.14.0),
          libepoxy-dev (>= 1.0),
-         libharfbuzz-dev (>= 0.9),
+         libfontconfig1-dev,
          libx11-dev,
          libxext-dev,
          libxinerama-dev,
          libxi-dev,
          libxrandr-dev,
-         libxcursor-dev ,
+         libxcursor-dev,
          libxfixes-dev,
          libxcomposite-dev,
          libxdamage-dev,
          pkg-config,
          libegl1-mesa-dev [linux-any],
          libwayland-dev (>= 1.9.91) [linux-any],
-         wayland-protocols (>= 1.1) [linux-any],
-         libxkbcommon-dev,
-         libmirclient-dev (>= 0.13.3),
-         libmircookie-dev (>= 0.17.0)
+         wayland-protocols (>= 1.7) [linux-any],
+         libxkbcommon-dev
 Suggests: libgtk-3-doc
 Description: development files for the GTK+ library
  GTK+ is a multi-platform toolkit for creating graphical user
@@ -184,23 +183,6 @@
  .
  This package contains the header and development files which are
  needed for building GTK+ applications.
-
-Package: libgtk-3-0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libgtk-3-0 (= ${binary:Version}),
-         libgtk-3-common,
-         ${misc:Depends}
-Description: GTK+ libraries and debugging symbols
- GTK+ is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, GTK+ is suitable
- for projects ranging from small one-off tools to complete application
- suites.
- .
- This package contains detached debugging symbols.
- .
- Most people will not need this package.
 
 Package: libgtk-3-doc
 Section: doc
@@ -299,7 +281,7 @@
          libgail-3-0 (= ${binary:Version}),
          libgtk-3-dev (= ${binary:Version}),
          pkg-config,
-         libatk1.0-dev (>= 2.2.0)
+         libatk1.0-dev
 Suggests: libgail-3-doc
 Description: GNOME Accessibility Implementation Library -- development files
  Gail implements ATK interfaces for GTK+ widgets which are dynamically
@@ -308,21 +290,6 @@
  of accessibility, without the need to modify the application at all.
  .
  This package contains the development files for Gail.
-
-Package: libgail-3-0-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         libgail-3-0 (= ${binary:Version})
-Recommends: libgtk-3-0-dbg
-Description: Gail libraries and debugging symbols
- Gail is the "GNOME Accessibility Implementation Library".
- .
- This package contains detached debugging symbols.
- .
- Most people will not need this package.
 
 Package: libgail-3-doc
 Architecture: all
@@ -336,3 +303,4 @@
  an application that use standard GTK+ widgets will have a basic level
  of accessibility, without the need to modify the application at all.
  .
+ This package contains the documentation files for Gail.
