=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,6 @@
 UDEB_PKG := $(SHARED_PKG)-udeb
 DOC_PKG := libgtk-$(APIVER)-doc
 BIN_PKG := libgtk-$(APIVER)-bin
-DEBUG_PKG := $(SHARED_PKG)-dbg
 EXAMPLES_PKG := gtk-$(APIVER)-examples
 
 # files larger than 4k in size will be compressed by dh_compress
@@ -65,6 +64,8 @@
 
 DEB_DH_INSTALL_ARGS += --sourcedir=debian/install/shared $(FAIL_MISSING) -X.la
 DEB_DH_INSTALL_ARGS_$(UDEB_PKG) += --sourcedir=debian/install/shared_udeb
+
+DEB_DH_AUTORECONF_ARGS = "NOCONFIGURE=true ./autogen.sh"
 
 DEB_CONFIGURE_EXTRA_FLAGS = \
 			--libdir=/$(LIBDIR) \
@@ -128,8 +129,6 @@
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V --add-udeb=$(UDEB_PKG) -- -c4
 DEB_DH_MAKESHLIBS_ARGS_libgail-3-0 += -V -- -c4
 DEB_DH_FIXPERMS_ARGS_ALL += -X$(LIBDIR)/$(SHARED_PKG)
-DEB_DH_STRIP_ARGS = --dbg-package=$(if $(findstring libgail,$(cdbs_curpkg)),libgail-3-0-dbg,$(DEBUG_PKG))
-DEB_DH_STRIP_ARGS_$(UDEB_PKG) =
 
 # macro computing the list of 'debian/<pkg>.*" files which have a
 # corresponding ".in" file; pass the list of packages in $(1)
@@ -148,7 +147,6 @@
 		-e "s#@UDEB_PKG@#$(UDEB_PKG)#g" \
 		-e "s#@DOC_PKG@#$(DOC_PKG)#g" \
 		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
-		-e "s#@DEBUG_PKG@#$(DEBUG_PKG)#g" \
 		-e "s#@EXAMPLES_PKG@#$(EXAMPLES_PKG)#g" \
 		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
 		-e "s#@GTK_BINARY_VERSION@#$(GTK_BINARY_VERSION)#g" \
@@ -166,19 +164,23 @@
 	rm -f $(call dh_subst_files,$(DEB_ALL_PACKAGES))
 	rm -f testsuite/reftests/*.ui.known_fail
 	rm -rf debian/build debian/install
+	# The build system does not automatically update the GResource files
+	# when resources change. Force an update since we modify CSS files in
+	# Revert-move-of-.flat-from-frame-border-to-frame.patch.
+	rm -f gtk/gtkresources.c gtk/gtkresources.h
 
 pre-build::
 	# Mark reftests with known failures as non-fatal
 	touch testsuite/reftests/box-shadow-changes-modify-clip.ui.known_fail
 	touch testsuite/reftests/label-text-shadow-changes-modify-clip.ui.known_fail
+	touch testsuite/reftests/nonresizable-size.ui.known_fail
+	touch testsuite/reftests/window-show-contents-on-map.ui.known_fail
+	touch testsuite/reftests/inherit-and-initial.ui.known_fail
 	touch testsuite/reftests/textview-margins.ui.known_fail
-	touch testsuite/reftests/button-wrapping.ui.known_fail
 	# So that gsettings can find the (uninstalled) gtk schemas
 	mkdir -p debian/build/glib-2.0/schemas/
 	cp gtk/org.gtk.* debian/build/glib-2.0/schemas/
 	glib-compile-schemas debian/build/glib-2.0/schemas/
-	# Work around a bug in cdbs, can be dropped once #825135 is fixed
-	mkdir -p debian/stamp-makefile-check/
 
 # Add dependencies to generate files from the debian/*.in ones
 build-indep: $(call dh_subst_files,$(DEB_INDEP_PACKAGES))
